import * as React from 'react';
import type { PrimitiveType, FormatXMLElementFn } from 'intl-messageformat';
import { MessageDescriptor } from '@formatjs/intl';
export interface Props<V extends Record<string, any> = Record<string, React.ReactNode>> extends MessageDescriptor {
    values?: V;
    tagName?: React.ElementType<any>;
    children?(...nodes: React.ReactNodeArray): React.ReactNode;
}
declare class FormattedMessage<V extends Record<string, any> = Record<string, PrimitiveType | React.ReactElement | FormatXMLElementFn<React.ReactNode, React.ReactNode>>> extends React.Component<Props<V>> {
    static displayName: string;
    shouldComponentUpdate(nextProps: Props<V>): boolean;
    render(): JSX.Element;
}
export default FormattedMessage;
//# sourceMappingURL=message.d.ts.map